Skip to main content
GET
/
v1
/
watching
/
movies
List movies
curl --request GET \
  --url https://api.rewind.rest/v1/watching/movies \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 15,
      "title": "Ferris Bueller's Day Off",
      "year": 1986,
      "director": "John Hughes",
      "directors": [
        "John Hughes"
      ],
      "genres": [
        "Comedy"
      ],
      "duration_min": 103,
      "rating": "PG-13",
      "image": {
        "url": "https://cdn.rewind.rest/watching/movies/15/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
        "thumbhash": "YRcKDQKadZh4d3Z4d3aHeAeAh4B3",
        "dominant_color": "#2a2a2a",
        "accent_color": "#c8a882"
      },
      "imdb_id": "tt0091042",
      "tmdb_id": 9377,
      "tmdb_rating": 7.6,
      "tagline": "One man's struggle to take it easy.",
      "summary": "A high school wise guy is determined to have a day off from school, despite what the Principal thinks of that.",
      "last_watched_at": "2026-03-10T02:30:00.000Z"
    },
    {
      "id": 200,
      "title": "Interstellar",
      "year": 2014,
      "director": "Christopher Nolan",
      "directors": [
        "Christopher Nolan"
      ],
      "genres": [
        "Science Fiction",
        "Drama"
      ],
      "duration_min": 169,
      "rating": "PG-13",
      "image": null,
      "imdb_id": "tt0816692",
      "tmdb_id": 157336,
      "tmdb_rating": 8.4,
      "tagline": null,
      "summary": null,
      "last_watched_at": "2024-12-20T20:00:00.000Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 694,
    "total_pages": 35
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100
genre
string
decade
string
director
string
year
string
sort
string
default:watched_at
order
string
default:desc

Response

Movie list

data
object[]
required
pagination
object
required